from playwright.sync_api import sync_playwright


def generate_pdf(url, pdf_path):
    with sync_playwright() as p:
        # Avvia un browser (può essere 'chromium', 'firefox', o 'webkit')
        browser = p.chromium.launch(headless=True)
        page = browser.new_page()

        # Vai all'URL specificato
        page.goto(url)

        # Genera il PDF
        page.pdf(path=pdf_path, format="A4")

        # Chiudi il browser
        browser.close()
        print(f"PDF salvato con successo in: {pdf_path}")
